#Load the .NET assembly, located at the default path
Add-Type -Path "C:\Program Files\Ocean Insight\OceanDirect SDK\lib\NetOceanDirect.dll"

#call the getInstance and store the singleton in the variable OD
$OD = [NetOceanDirect.OceanDirect]::getInstance()

#Find all devices and store them in a array of structs called devices
$devices = $OD.findDevices()
$num = $devices.count
Write-Host "$num devices found"

#Creating a variable to pass in as a ref
$errorCode = 0

#Get the id of only the first device 
$id = $devices[0].id
Write-Host "Open the first device in list ID:$id"

#Open the first device
$OD.openDevice($id, [ref]$errorCode)
Write-Host "Device opened and returned error code $errorCode"

#Set integraiton time to 100 ms passing is errorCode as a reference
$intTime = 100000
$OD.setIntegrationTimeMicros($id, [ref]$errorCode, $intTime)
Write-Host "Set the integration time to $IntTime and returned error code $errorCode"

#Getting a spectrum and dumping it to the output
read-host "Press ENTER to get a spectrum..."
$spectrum = $OD.getSpectrum($id, [ref]$errorCode)
Write-Output $spectrum

